Britive platform release 2026.09.01 is now live in production.

Validate ITSM connection for given connection ID

Prev Next
Get
/api/itsm-manager/connections/{connectionId}/validate
Security
HTTP
Type bearer
Path parameters
connectionId
stringRequired

connectionId of an ITSM Connection

Responses
200

Successful operation

object
accessibleTicketTypes
Array of string

Ticket types the connection's credentials can access. Only populated for connectors that validate per ticket type (currently ServiceNow).

string
inaccessibleTicketTypes
Array of string

Ticket types the connection's credentials cannot access. Only populated for connectors that validate per ticket type (currently ServiceNow).

string
400

None of the connection's supported ticket types are accessible.

404

ITSM Connection not found.